Skip to main content
GET
/
backends
cURL
curl "https://api.ionq.co/v0.4/backends"
[
  {
    "average_queue_time": 1181215,
    "backend": "qpu.aria-1",
    "degraded": true,
    "last_updated": "2025-06-16T00:00:00Z",
    "qubits": 25,
    "status": "available",
    "characterization_id": "617a1f8b-59d4-435d-aa33-695433d7155e",
    "kw": 4902.81,
    "location": "College Park, MD, USA"
  }
]
List all available backends including both QPUs and simulators. This shows each backend’s current status (available, unavailable, degraded), number of qubits, average queue time, and links to performance characterizations. Learn more about available backends.

Response

200 - application/json

Successfully retrieved backend.

average_queue_time
number<unix-timestamp>
required

Current wait time on the queue for execution.

Example:

1181215

backend
enum<string>
required

Specifies target hardware and generation where applies.

Available options:
qpu.aria-1,
qpu.aria-2,
qpu.forte-1,
qpu.forte-enterprise-1,
qpu.forte-enterprise-2,
qpu.forte-enterprise-3
Example:

"qpu.aria-1"

degraded
boolean
required

Flag to tell if the backend is degraded or not.

last_updated
string
required

Last date time the backend status was updated.

Example:

"2025-06-16T00:00:00Z"

qubits
integer
required

The number of qubits available.

Required range: x >= 0
Example:

25

status
enum<string>
required

Current availability.

Available options:
available,
unavailable
characterization_id
string

Current characterization ID for this backend

Example:

"617a1f8b-59d4-435d-aa33-695433d7155e"

kw
number<double>

The amount of energy used by the backend in kilowatt-hours.

Example:

4902.81

location
string

The location of the backend.

Example:

"College Park, MD, USA"